%global pkgname django-helpdesk

Name:           python-django-helpdesk
Version:        0.2.9
Release:        1%{?dist}
Summary:        A Django powered ticket tracker for small enterprise

Group:          Development/Languages
License:        BSD
URL:            https://github.com/rossp/django-helpdesk
Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  pytz
Requires:       python-django
BuildRequires:  python-django

%description

Django-helpdesk - A Django powered ticket tracker for small enterprise.

Copyright 2009-11 Jutda and Ross Poulton. All Rights Reserved. See LICENSE 
for details.

django-helpdesk was formerly known as Jutda Helpdesk, named after the 
company who originally created it. As of January 2011 the name has been 
changed to reflect what it really is: a Django-powered ticket tracker 
with contributors reaching far beyond Jutda.

Complete documentation is available in the docs/ directory, or online 
at http://django-helpdesk.readthedocs.org/.

You can see a demo installation at http://django-helpdesk-demo.herokuapp.com/

%prep
%setup -q -n %{pkgname}-%{version} 
rm -rf %{pkgname}.egg-info
rm -rf helpdesk/management/commands/*.py
rm -rf helpdesk/static/helpdesk/helpdesk-print.css

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# Handling locale files
# This is adapted from the %%find_lang macro, which cannot be directly
# used since Django locale files are not located in %%{_datadir}
#
# The rest of the packaging guideline still apply -- do not list
# locale files by hand!
(cd %{buildroot} && find . -name 'django*.mo') | %{__sed} -e 's|^.||' |
%{__sed} -e \
   's:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
   >> %{pkgname}.lang

%files -f %{pkgname}.lang
%doc LICENSE.3RDPARTY LICENSE
%{python_sitelib}/helpdesk
%{python_sitelib}/django_helpdesk-*.egg-info

%changelog
* Wed Jul 25 2018 Luis Bazan <lbazan@fedoraproject.org> - 0.2.9-1
- New upstream version

* Fri Jul 13 2018 Luis Bazan <lbazan@fedoraproject.org> - 0.2.8-1
- New upstream version

* Thu Apr 19 2018 Luis Bazan <lbazan@fedoraproject.org> - 0.2.7-1
- New Upstream version

* Tue Nov 21 2017 Luis Bazan <lbazan@fedoraproject.org> - 0.2.1-1
- New upstream version

* Fri Sep 19 2014 Luis Bazan <lbazan@fedoraproject.org> - 0.1.12-1
- New Upstream Version

* Mon Feb 03 2014 Luis Bazan <lbazan@fedoraproject.org> - 0.1.11-2
- rebuild in el7

* Thu Oct 24 2013 Luis Bazan <lbazan@fedoraproject.org> - 0.1.11-1
- New Upstream Version

* Thu Jun 20 2013 Luis Bazan <lbazan@fedoraproject.org> - 0.1.8-4
- change requirement to python-django14

* Tue May 07 2013 Matthias Runge <mrunge@redhat.com> - 0.1.8-4
- requires/buildrequires python-django14

* Wed Mar 27 2013 Luis Bazan <lbazan@fedoraproject.org> - 0.1.8-3
- add python macro 

* Mon Feb 18 2013 Luis Bazan <lbazan@fedoraproject.org> - 0.1.8-2
- Add pytz

* Fri Feb 15 2013 Luis Bazan <lbazan@fedoraproject.org> - 0.1.8-1
- New Upstream Version

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7b-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Sep 28 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.1.7b-3
- Fix BZ 858025 comment 3
 
* Wed Sep 26 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.1.7b-2
- Fix BZ 858025 comment 2

* Mon Sep 17 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.1.7b-1
- Initial Import
